/*----- PROTECTED REGION ID(AlarmManagerStateMachine.cpp) ENABLED START -----*/
//=============================================================================
//
// file :        AlarmManagerStateMachine.cpp
//
// description : State machine file for the AlarmManager class
//
// project :     AlarmManager
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
//
// Elettra-Sincrotrone Trieste S.C.p.A. di interesse nazionale
// Strada Statale 14 - km 163,5 in AREA Science Park
// 34149 Basovizza, Trieste ITALY
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <AlarmManager.h>

/*----- PROTECTED REGION END -----*/	//	AlarmManager::AlarmManagerStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================


namespace AlarmManager_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_tag_allowed()
 *	Description : Execution allowed for tag attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_tag_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for tag attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::tagStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::tagStateAllowed_WRITE

	//	Not any excluded states for tag attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::tagStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::tagStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_formula_allowed()
 *	Description : Execution allowed for formula attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_formula_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for formula attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::formulaStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::formulaStateAllowed_WRITE

	//	Not any excluded states for formula attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::formulaStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::formulaStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_message_allowed()
 *	Description : Execution allowed for message attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_message_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for message attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::messageStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::messageStateAllowed_WRITE

	//	Not any excluded states for message attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::messageStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::messageStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_priority_allowed()
 *	Description : Execution allowed for priority attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_priority_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for priority attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::priorityStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::priorityStateAllowed_WRITE

	//	Not any excluded states for priority attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::priorityStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::priorityStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_group_allowed()
 *	Description : Execution allowed for group attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_group_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for group attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::groupStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::groupStateAllowed_WRITE

	//	Not any excluded states for group attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::groupStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::groupStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_shlvd_time_allowed()
 *	Description : Execution allowed for shlvd_time attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_shlvd_time_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for shlvd_time attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::shlvd_timeStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::shlvd_timeStateAllowed_WRITE

	//	Not any excluded states for shlvd_time attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::shlvd_timeStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::shlvd_timeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_on_delay_allowed()
 *	Description : Execution allowed for on_delay attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_on_delay_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for on_delay attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::on_delayStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::on_delayStateAllowed_WRITE

	//	Not any excluded states for on_delay attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::on_delayStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::on_delayStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_off_delay_allowed()
 *	Description : Execution allowed for off_delay attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_off_delay_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for off_delay attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::off_delayStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::off_delayStateAllowed_WRITE

	//	Not any excluded states for off_delay attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::off_delayStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::off_delayStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_on_command_allowed()
 *	Description : Execution allowed for on_command attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_on_command_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for on_command attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::on_commandStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::on_commandStateAllowed_WRITE

	//	Not any excluded states for on_command attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::on_commandStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::on_commandStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_off_command_allowed()
 *	Description : Execution allowed for off_command attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_off_command_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for off_command attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::off_commandStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::off_commandStateAllowed_WRITE

	//	Not any excluded states for off_command attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::off_commandStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::off_commandStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_enabled_allowed()
 *	Description : Execution allowed for enabled attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_enabled_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for enabled attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::enabledStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::enabledStateAllowed_WRITE

	//	Not any excluded states for enabled attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::enabledStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::enabledStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_handler_allowed()
 *	Description : Execution allowed for handler attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_handler_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for handler attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::handlerStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::handlerStateAllowed_WRITE

	//	Not any excluded states for handler attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::handlerStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::handlerStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_url_allowed()
 *	Description : Execution allowed for url attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_url_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for url attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::urlStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::urlStateAllowed_WRITE

	//	Not any excluded states for url attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::urlStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::urlStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_default_archiver_allowed()
 *	Description : Execution allowed for default_archiver attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_default_archiver_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for default_archiver attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::default_archiverStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::default_archiverStateAllowed_WRITE

	//	Not any excluded states for default_archiver attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::default_archiverStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::default_archiverStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_archiver_allowed()
 *	Description : Execution allowed for archiver attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_archiver_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for archiver attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::archiverStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::archiverStateAllowed_WRITE

	//	Not any excluded states for archiver attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::archiverStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::archiverStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_strategy_allowed()
 *	Description : Execution allowed for strategy attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_strategy_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for strategy attribute in Write access.
	/*----- PROTECTED REGION ID(AlarmManager::strategyStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::strategyStateAllowed_WRITE

	//	Not any excluded states for strategy attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::strategyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::strategyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_alarmList_allowed()
 *	Description : Execution allowed for alarmList attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_alarmList_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for alarmList attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::alarmListStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::alarmListStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_alarmFrequency_allowed()
 *	Description : Execution allowed for alarmFrequency attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_alarmFrequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for alarmFrequency attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::alarmFrequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::alarmFrequencyStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_handlerStatus_allowed()
 *	Description : Execution allowed for handlerStatus attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_handlerStatus_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for handlerStatus attribute in read access.
	/*----- PROTECTED REGION ID(AlarmManager::handlerStatusStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::handlerStatusStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_Load_allowed()
 *	Description : Execution allowed for Load attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_Load_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Load command.
	/*----- PROTECTED REGION ID(AlarmManager::LoadStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::LoadStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_Remove_allowed()
 *	Description : Execution allowed for Remove attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_Remove_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Remove command.
	/*----- PROTECTED REGION ID(AlarmManager::RemoveStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::RemoveStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_Modify_allowed()
 *	Description : Execution allowed for Modify attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_Modify_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Modify command.
	/*----- PROTECTED REGION ID(AlarmManager::ModifyStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::ModifyStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_GetAlarmInfo_allowed()
 *	Description : Execution allowed for GetAlarmInfo attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_GetAlarmInfo_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for GetAlarmInfo command.
	/*----- PROTECTED REGION ID(AlarmManager::GetAlarmInfoStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::GetAlarmInfoStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_SearchAlarmName_allowed()
 *	Description : Execution allowed for SearchAlarmName attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_SearchAlarmName_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for SearchAlarmName command.
	/*----- PROTECTED REGION ID(AlarmManager::SearchAlarmNameStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::SearchAlarmNameStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_ReLoadAll_allowed()
 *	Description : Execution allowed for ReLoadAll attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_ReLoadAll_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ReLoadAll command.
	/*----- PROTECTED REGION ID(AlarmManager::ReLoadAllStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::ReLoadAllStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_ResetStatistics_allowed()
 *	Description : Execution allowed for ResetStatistics attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_ResetStatistics_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ResetStatistics command.
	/*----- PROTECTED REGION ID(AlarmManager::ResetStatisticsStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::ResetStatisticsStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_LoadConf_allowed()
 *	Description : Execution allowed for LoadConf attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_LoadConf_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for LoadConf command.
	/*----- PROTECTED REGION ID(AlarmManager::LoadConfStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::LoadConfStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_SearchAlarmConf_allowed()
 *	Description : Execution allowed for SearchAlarmConf attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_SearchAlarmConf_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for SearchAlarmConf command.
	/*----- PROTECTED REGION ID(AlarmManager::SearchAlarmConfStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::SearchAlarmConfStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_ModifyConf_allowed()
 *	Description : Execution allowed for ModifyConf attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_ModifyConf_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ModifyConf command.
	/*----- PROTECTED REGION ID(AlarmManager::ModifyConfStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::ModifyConfStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_AddArchiver_allowed()
 *	Description : Execution allowed for AddArchiver attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_AddArchiver_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for AddArchiver command.
	/*----- PROTECTED REGION ID(AlarmManager::AddArchiverStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::AddArchiverStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : AlarmManager::is_Rename_allowed()
 *	Description : Execution allowed for Rename attribute
 */
//--------------------------------------------------------
bool AlarmManager::is_Rename_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Rename command.
	/*----- PROTECTED REGION ID(AlarmManager::RenameStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	AlarmManager::RenameStateAllowed
	return true;
}


/*----- PROTECTED REGION ID(AlarmManager::AlarmManagerStateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	AlarmManager::AlarmManagerStateAllowed.AdditionalMethods

}	//	End of namespace
